@card-height: 16em;
@card-title-height: 3.6em;
@card-media-height: @card-height - @card-title-height;

.box {
    background-color: @ge-color-light;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid #ddd;
    display: block;
    height: @card-height;
    margin: .8em -.2em;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 25%);
    overflow: hidden;
    position: relative;
    text-align: left;

    .content {
        padding: 4px 6px;
    }

    a, button {
        height: @card-media-height;
        left: 0;
        opacity: 0%;
        overflow: hidden;
        position: absolute;
        text-overflow: ellipsis;
        top: 0;
        width: 100%;

        &.btn {
            display: block;
            overflow: hidden;
            text-overflow: ellipsis;
            text-transform: uppercase;
        }
    }

    > h3 {
        background-color: white;
        height: @card-title-height;
        margin-top: @card-media-height;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    > .content {
        background-color: rgba(255, 255, 255, 25%);
        font-size: 1.4em;
        height: @card-media-height / 1.4;
        left: 0;
        overflow: hidden;
        position: absolute;
        text-overflow: ellipsis;
        top: 0;
        width: 100%;

        &:after {
            bottom: 0em;
            color: rgba(255, 255, 255, 25%);
            content: "\f01d";
            display: none;
            font-family: FontAwesome;
            font-size: 2.4em;
            left: 0;
            padding-left: 0.2em;
            position: absolute;
            vertical-align: bottom;
        }
    }

    &:hover {
        > .content {
            background-color: rgba(0, 0, 0, 50%);
            color: @ge-color-light;
            &:after {
                display: block;
            }
        }
    }
}

// h3 {
//     border-bottom: 1px solid #ddd;
//     font-size: @font-size-base;
//     font-weight: bold;
//     margin: 0px 0px ceil(@font-size-base / 2) 0px;
//     padding: ceil(@font-size-base / 2) ceil(@font-size-base / 2) ceil(@font-size-base / 4) @font-size-base;
//     text-transform: uppercase;
// }

nav.page_navigation {
    text-align: center;
}
